%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define debug_package %{nil}
Name:           phatch
Version:        0.1.6
Release:        5%{?dist}
Summary:        Photo batch processor

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://photobatch.stani.be/
Source0:        http://sd-2469.dedibox.fr/photobatch/download/package/%{name}-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  python
BuildRequires:  desktop-file-utils
BuildRequires:  nautilus-python-devel
BuildRequires:  python-setuptools-devel
Requires:       findutils wxPython python-imaging python-exif 

%description
Phatch is a simple to use cross-platform GUI Photo Batch Processor
which handles all popular image formats and can duplicate
(sub)folder hierarchies. Phatch can batch resize, rotate,
apply perspective, shadows, rounded corners, ...
and more in minutes instead of hours or days if you do it manually.
Phatch allows you to use EXIF and IPTC tags for renaming
and data stamping. Phatch also supports a console version
to batch photos on webservers.

%package -n nautilus-%{name}
Summary: Nautilus extension for %{name}
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: nautilus-python

%description -n nautilus-%{name}
Nautilus extension for %{name}


%prep
%setup -q
# for wrong-file-end-of-line-encoding and timestamp 
sed 's/\r//' docs/phatch_dev/docbook-xsl.css > docs/phatch_dev/docbook-xsl.css.new
touch -c -r docs/phatch_dev/docbook-xsl.css docs/phatch_dev/docbook-xsl.css.new
mv docs/phatch_dev/docbook-xsl.css.new docs/phatch_dev/docbook-xsl.css

# change software version
sed -e 's|0\.1\.5|0\.1\.6|' -e 's|20080606224435|200811091037|' \
       phatch/data/version.py > phatch/data/version.py.16
touch -c -r phatch/data/version.py phatch/data/version.py.16
mv phatch/data/version.py.16 phatch/data/version.py


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
python  -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT
desktop-file-install --vendor=""                                 \
       --dir=$RPM_BUILD_ROOT%{_datadir}/applications/   \
       $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}
# for non-executable-script
chmod +x $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/%{name}.py


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

 
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README docs/*
%dir %{python_sitelib}/%{name}
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{python_sitelib}/%{name}/*
%{_mandir}/man?/%{name}*
%{_datadir}/%{name}/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{python_sitelib}/*egg-info


%files -n nautilus-%{name}
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/nautilus/extensions-2.0/python/%{name}_*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 19 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.6-3
- Fix requires for nautilus-extension
- Licence file added to nautilus-extension
- No more docs subdirectory in documentation folder
- Fix version
* Thu Dec 18 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.6-2
- subpckage created for nautilus extension
- timestamp preserved for sed'ed file
- wxPython removed from BuildRequires
- Source0 updated
- whole documentation included
- update-desktop-database and update-mime-database added
- egg-info properly builded
- python-devel buildrequries changed to python
* Sun Nov  9 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.6-1
- Rebuild for 0.1.6
* Wed Jul 23 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.5-2
- Licence tag updated
* Mon Jul 21 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.5-1
- rebuild for 0.1.5
- package now builds under F8
* Thu Jul  3 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.4.bzr538-2
- find_lang usage to locate all locale files
* Wed Jul  2 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.4.bzr538-1
- Initial build
